package com.realnet.vpspack.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.vpspack.Entity.Refund;
import com.realnet.vpspack.Services.RefundService ;












@RequestMapping(value = "/Refund")
 @CrossOrigin("*") 
@RestController
public class RefundController {
	@Autowired
	private RefundService Service;

@Value("${projectPath}")
	private String projectPath;
 












	@PostMapping("/Refund")
		  public Refund Savedata(@RequestBody Refund data) {
		Refund save = Service.Savedata(data)	;











		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Refund/{id}")
	public  Refund update(@RequestBody Refund data,@PathVariable Integer id ) {
		Refund update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Refund/getall/page")
	public Page<Refund> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Refund> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Refund")
	public List<Refund> getdetails() {
		 List<Refund> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Refund")
	public List<Refund> getallwioutsec() {
		 List<Refund> get = Service.getdetails();		
		return get;
}
@GetMapping("/Refund/{id}")
	public  Refund  getdetailsbyId(@PathVariable Integer id ) {
		Refund  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Refund/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}













}